Skip to main content
GET
/
_api
/
offerings
List offerings
curl --request GET \
  --url https://dev.go.simplytokenized.com/_api/offerings \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dev.go.simplytokenized.com/_api/offerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://dev.go.simplytokenized.com/_api/offerings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


{
  "count": 29,
  "next": "/offerings?limit=10&offset=10&lang=en",
  "previous": null,
  "results": [
    {
      "logo": null,
      "name": "Testing payout",
      "symbol": "PAYO",
      "isin": "0",
      "wkn": null,
      "id": "bf446783-f4b0-491a-b054-94d9dae23ec6"
    }
  ]
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}

Authorizations

Authorization
string
header
required

Bearer access token from POST /_api/auth

Query Parameters

limit
integer
default:10
required
Required range: 10 <= x <= 50
offset
integer
default:0
required
Required range: 0 <= x <= 9007199254740991
lang
enum<string>
default:en
required
Available options:
ar,
de,
en,
es,
fr

Response

Success

count
integer
required
Required range: 0 <= x <= 9007199254740991
next
string | null
required
previous
string | null
required
results
object[]
required